Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.framework
Class FrameworkException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.core.framework.FrameworkException

All Implemented Interfaces:
  java.io.Serializable

    public class FrameworkException

extends BirtException

A checked exception representing a failure.

Core exceptions contain a status object describing the cause of the exception.

See Also:
  `IStatus`, Serialized Form

Field Summary
`protected static java.lang.String` | `pluginId`
`protected static com.ibm.icu.util.UResourceBundle` | `urb`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, rb, severity, sResourceKey, WARNING`

Constructor Summary
`FrameworkException(java.lang.String errorCode)`
`FrameworkException(java.lang.String errorCode, java.lang.Object[] args)`
`FrameworkException(java.lang.String errorCode, java.lang.Object[] args, java.lang.Throwable cause)`
`FrameworkException(java.lang.String errorCode, java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getLocalizedMessage, getMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pluginId

    protected static java.lang.String pluginId

### urb

    protected static com.ibm.icu.util.UResourceBundle urb

Constructor Detail

### FrameworkException

    public FrameworkException(java.lang.String errorCode)

### FrameworkException

    public FrameworkException(java.lang.String errorCode,
                              java.lang.Throwable cause)

### FrameworkException

    public FrameworkException(java.lang.String errorCode,
                              java.lang.Object[] args)

### FrameworkException

    public FrameworkException(java.lang.String errorCode,
                              java.lang.Object[] args,
                              java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.